
# .pro to build project using qmake
# run $qmake build_makefile.pro

SRC=src/
H=header/

EXTERNAL_SRC=external/src/
EXTERNAL_INCLUDE=external/include/

F1=main
F2=MC_matrix
F3=MC_navigator_tool
F4=MC_v3d
F5=MC_v3d_vector
F6=MC_trackball
F7=MC_quaternion
F8=MC_v4d
F9=MC_double_vector
F10=MC_int_vector
F11=MC_string_helper
F12=mesh
F13=MC_io_off

HEADERS = $${EXTERNAL_INCLUDE}$${F2}.hpp \
          $${EXTERNAL_INCLUDE}$${F3}.hpp \
          $${EXTERNAL_INCLUDE}$${F4}.hpp \
          $${EXTERNAL_INCLUDE}$${F5}.hpp \
          $${EXTERNAL_INCLUDE}$${F6}.hpp \
          $${EXTERNAL_INCLUDE}$${F7}.hpp \
          $${EXTERNAL_INCLUDE}$${F8}.hpp \
          $${EXTERNAL_INCLUDE}$${F9}.hpp \
          $${EXTERNAL_INCLUDE}$${F10}.hpp \
          $${EXTERNAL_INCLUDE}$${F11}.hpp \
          $${H}$${F12}.hpp \
          $${EXTERNAL_INCLUDE}$${F13}.hpp \

SOURCES = $${SRC}$${F1}.cpp \
          $${EXTERNAL_SRC}$${F2}.cpp \
          $${EXTERNAL_SRC}$${F3}.cpp \
          $${EXTERNAL_SRC}$${F4}.cpp \
          $${EXTERNAL_SRC}$${F5}.cpp \
          $${EXTERNAL_SRC}$${F6}.cpp \
          $${EXTERNAL_SRC}$${F7}.cpp \
          $${EXTERNAL_SRC}$${F8}.cpp \
          $${EXTERNAL_SRC}$${F9}.cpp \
          $${EXTERNAL_SRC}$${F10}.cpp \
          $${EXTERNAL_SRC}$${F11}.cpp \
          $${SRC}$${F12}.cpp \
          $${EXTERNAL_SRC}$${F13}.cpp \

TARGET = cpe_surface
QT += opengl
CONFIG += release warn_on

INCLUDEPATH = $${H} $${EXTERNAL_INCLUDE}

LIBS = -lglut


unix{
OBJECTS_DIR = junk/
MOC_DIR     = junk/
}
